Bug 10948 - configuration file located in directory with cache directory tag
configuration file located in directory with cache directory tag
Status: CLOSED FIXED
Product: ccache
Classification: Unclassified
Component: ccache
3.2
All All
: P5 normal
: 3.2.1
Assigned To: Joel Rosdahl
Joel Rosdahl
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-11-20 04:44 UTC by Peter Eisentraut
Modified: 2014-12-10 19:49 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Eisentraut 2014-11-20 04:44:04 UTC
I welcome the addition of a configuration file in 3.2, but that file is located in a directory with a cache directory tag, so systems are free to blow it away, and backup software is encouraged not to back it up.  That seems bad.

I suggest an approach along the lines of bug 10383, using the XDG system to locate the various "dot" directories and files.
Comment 1 Joel Rosdahl 2014-12-04 21:30:09 UTC
> I welcome the addition of a configuration file in 3.2, but that file is located
> in a directory with a cache directory tag, so systems are free to blow it away,
> and backup software is encouraged not to back it up.  That seems bad.

Yes, that's unfortunate, thanks for the bug report. My suggested fix for this is to create CACHEDIR.TAG files in the $CCACHE_DIR/[0-9a-f] directories instead of directly in $CCACHE_DIR. Does that seem OK?

> I suggest an approach along the lines of bug 10383, using the XDG system to
> locate the various "dot" directories and files.

As mentioned in bug 10383, I've come to the conclusion that I don't think that's a good idea.
Comment 2 Joel Rosdahl 2014-12-10 19:47:45 UTC
Fixed in ed51f2b56ec81b924bbc172715458bbce682e863 on 3.2-maint.
Comment 3 Joel Rosdahl 2014-12-10 19:49:45 UTC
Included in v3.2.1.